import { integer, pgTable, varchar, text, timestamp } from "drizzle-orm/pg-core";

export const users = pgTable("users", {
	id: integer().primaryKey().generatedAlwaysAsIdentity(),
	username: varchar({length: 128, }).unique().notNull(),
	password_hash: text(),
	displayName: text(),
});

export const sessions = pgTable("sessions", {
	id: integer().primaryKey().generatedAlwaysAsIdentity(),
	userId: integer().references(() => users.id),
	expiresAt: timestamp({withTimezone: true}).notNull(),
});

