import { redirect } from "@sveltejs/kit";
import { RefillingTokenBucket, Throttler } from "$lib/server/rate-limit";

import type { Actions, PageServerLoad, PageServerLoadEvent } from "./$types";

const throttler = new Throttler<number>([0, 1, 2, 4, 8, 16, 30, 60, 180, 300]);
const ipBucket = new RefillingTokenBucket<string>(20, 1);

export const load: PageServerLoad = (event: PageServerLoadEvent) => {
	if (event.locals.session !== null && event.locals.user !== null) {
		return redirect(302, "/");
	}
	return {};
};

export const actions = {
	default: async (event) => {},
} satisfies Actions;
